gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated: need patience for http download


From: gnunet
Subject: [gnunet] branch master updated: need patience for http download
Date: Thu, 12 Dec 2019 17:17:35 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new dce1bedcf need patience for http download
dce1bedcf is described below

commit dce1bedcf716fb84ac541a8b7316e692e52f9fc9
Author: Christian Grothoff <address@hidden>
AuthorDate: Thu Dec 12 17:14:28 2019 +0100

    need patience for http download
---
 src/gns/test_plugin_rest_gns.sh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/src/gns/test_plugin_rest_gns.sh b/src/gns/test_plugin_rest_gns.sh
index 1412f8753..25c39f135 100755
--- a/src/gns/test_plugin_rest_gns.sh
+++ b/src/gns/test_plugin_rest_gns.sh
@@ -22,15 +22,20 @@ curl_get () {
     #$1 is link
     #$2 is grep
     XURL=`which gnurl || which curl`
-    echo "Using $XURL to download $1"
+    if [ "" = "$XURL" ]
+    then
+        echo "HTTP client (curl/gnurl) not found, exiting"
+        exit 77
+    fi
+    sleep 0.5
     cache="$(${XURL} -v "$1" 2>&1 | grep "$2")"
     #echo "$cache"
     if [ "" = "$cache" ]
     then
         gnunet-identity -D "$TEST_TLD" -c test_gns_lookup.conf > /dev/null 2>&1
         gnunet-arm -e -c test_gns_lookup.conf
-        echo "HTTP client (curl/gnurl) not found, exiting"
-        exit 77
+        echo "Download of $1 using $XURL failed"
+        exit 1
     fi
 }
 TEST_TLD="testtld"

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]